//
//  ViewController.m
//  YZNavigationMenuView
//
//  Created by holden on 2016/12/25.
//  Copyright © 2016年 holden. All rights reserved.
//

#import "ViewController.h"
#import "YZNavigationMenuView.h"

@interface ViewController ()<YZNavigationMenuViewDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.automaticallyAdjustsScrollViewInsets = NO;
   
    
    UIBarButtonItem *rightItem = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:self action:@selector(rightBarButtonItemClicked)];
    self.navigationItem.rightBarButtonItem = rightItem;
    
    self.navigationController.view.backgroundColor = [UIColor blueColor];
    
    UIBarButtonItem *leftItem = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:self action:@selector(leftBarButtonItemClicked)];
    self.navigationItem.leftBarButtonItem = leftItem;
}

- (void)rightBarButtonItemClicked
{
    NSMutableArray *imageArray = [NSMutableArray arrayWithCapacity:0];
    for (int i = 0; i < 6; i++) {
        NSString *name = [NSString stringWithFormat:@"%d",i + 1];
        UIImage *image  = [UIImage imageNamed:name];
        [imageArray addObject:image];
        
    }
    
    YZNavigationMenuView *menuView = [[YZNavigationMenuView alloc] initWithPositionOfDirection:CGPointMake(self.view.frame.size.width - 24, 64) images:imageArray titleArray:@[@"我是第一栏",@"我是第二栏",@"我是第三栏",@"我是第四栏",@"我是第五栏",@"我是最后一栏",]];
    menuView.delegate = self;
    [self.view addSubview:menuView];
}

- (void)leftBarButtonItemClicked
{
    NSMutableArray *imageArray = [NSMutableArray arrayWithCapacity:0];
    for (int i = 0; i < 6; i++) {
        NSString *name = [NSString stringWithFormat:@"%d",i + 1];
//        UIImage *image  = [UIImage imageNamed:name];
        [imageArray addObject:name];
        
    }
    
    YZNavigationMenuView *menuView = [[YZNavigationMenuView alloc] initWithPositionOfDirection:CGPointMake(24, 56) images:imageArray titleArray:@[@"我是第一栏",@"我是第二栏",@"我是第三栏",@"我是第四栏",@"我是第五栏",@"我是最后一栏"]];
    menuView.clickedBlock = ^(NSInteger index){
        NSLog(@"++++++我是第%ld栏",index + 1);
    };
    [self.view addSubview:menuView];

}
- (void)navigationMenuView:(YZNavigationMenuView *)menuView clickedAtIndex:(NSInteger)index;
{
    NSLog(@"------我是第%ld栏",index + 1);
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
